<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<window>
	<id>7969</id>
	<defaultcontrol>2</defaultcontrol>
	<allowoverlay>yes</allowoverlay>
    	<define>#header.label:Sleep Control</define>
	<controls>

	<control>
		<description>BG</description>
		<type>image</type>
		<id>1</id>
		<width>1920</width>
		<height>1080</height>
		<texture>background.png</texture>
	</control>

  	<control>
		<id>0</id>
		<type>image</type>
		<posX>66</posX>
		<posY>84</posY>
		<width>61</width>
		<height>60</height>
		<texture>icon_plugin.png</texture>
		<animation effect="fade" time="250">WindowOpen</animation>
		<animation effect="fade" time="250">WindowClose</animation>
 	 </control>

 	 <import>common.time.xml</import>

  	<control>
  		<description>panel details technical infos</description>
  		<type>image</type>
  		<id>0</id>
  		<posX>10</posX>
  		<posY>252</posY>
  		<width>1903</width>
  		<height>790</height>
  		<texture>panel_list_noinfo.png</texture>
      		<animation effect="fade" time="250">WindowOpen</animation>
      		<animation effect="fade" time="250">WindowClose</animation>
  	</control> 
	
	<control>
		<description>Button group</description>
		<type>group</type>
		<animation effect="fade" time="250">WindowOpen</animation>
		<animation effect="fade" time="250">WindowClose</animation>
		<posX>119</posX>
		<posY>334</posY>
		<width>600</width>
		<layout>StackLayout(7, Vertical, true)</layout>

		<!-- *** Button *** -->
			
			<control>
				<description>Sleep Mode</description>
				<type>button</type>
				<id>2</id>
  				<label>Sleep Mode</label>
				<onup>9</onup>
				<ondown>3</ondown>
			</control>
	
			<control>
				<description>Set Timer manually</description>
				<type>button</type>
				<id>3</id>
  				<label>Set Timer manually</label>
				<onup>2</onup>
				<ondown>4</ondown>
			</control>
			
			<control>
				<description>Set Timer by recording selection</description>
				<type>button</type>
				<id>4</id>
  				<label>Set Timer by recording selection</label>
				<onup>3</onup>
				<ondown>5</ondown>
			</control>
			
			<control>
				<description>Start/Stop Timer</description>
				<type>button</type>
				<id>5</id>
  				<label>Start Timer</label>
				<onup>4</onup>
				<ondown>6</ondown>
			</control>
			
			<control>
				<description>Pause Timer</description>
				<type>button</type>
				<id>6</id>
  				<label>Pause Timer</label>
				<onup>5</onup>
				<ondown>7</ondown>
			</control>
			
			<control>
				<description>Increment Timer</description>
				<type>button</type>
				<id>7</id>
  				<label>Increment Timer</label>
				<onup>6</onup>
				<ondown>8</ondown>
			</control>
			
			<control>
				<description>Decrement Timer</description>
				<type>button</type>
				<id>8</id>
  				<label>Decrement Timer</label>
				<onup>7</onup>
				<ondown>9</ondown>
			</control>
			
			<control>
				<description>Wait until tasks finished</description>
				<type>togglebutton</type>
				<id>9</id>
  				<label>Wait until tasks finished</label>
				<onup>8</onup>
				<ondown>10</ondown>
			</control>
			
			<control>
				<description>Volume Reduction</description>
				<type>togglebutton</type>
				<id>10</id>
  				<label>Volume Reduction</label>
				<onup>9</onup>
				<ondown>2</ondown>
			</control>
		</control>

		<!-- *** Sleep State *** -->
		<control>
			<description>Sleep State</description>
			<type>label</type>
			<id>0</id>
			<posX>800</posX>
			<posY>420</posY>
			<width>900</width>
			<label>#SleepControl.Activity</label>
			<align>center</align>
			<font>fontB22</font>
			<textcolor>ff808080</textcolor>
				<animation effect="fade" time="250">WindowOpen</animation>
		<animation effect="fade" time="250">WindowClose</animation>
		</control>

		<!-- *** Sleep Mode *** -->
		<control>
			<description>Sleep Mode</description>
			<type>label</type>
			<id>0</id>
			<posX>800</posX>
			<posY>500</posY>
			<width>900</width>
			<label>#SleepControl.Method</label>
			<align>center</align>
			<font>fontB20</font>
			<textcolor>ff808080</textcolor>
			<animation effect="fade" time="250">WindowOpen</animation>
		<animation effect="fade" time="250">WindowClose</animation>
		</control>

		<!-- *** Sleep Counter *** -->
		<control>
			<description>Sleep Counter</description>
			<type>label</type>
			<id>0</id>
			<posX>800</posX>
			<posY>660</posY>
			<width>900</width>
			<label>#SleepControl.Counter</label>
			<align>center</align>
			<font>TitanLight32</font>
			<animation effect="fade" time="250">WindowOpen</animation>
		<animation effect="fade" time="250">WindowClose</animation>
		</control>

		<!-- *** Sleep Status *** -->
		<control>
			<description>Sleep Status</description>
			<type>label</type>
			<id>0</id>
			<posX>800</posX>
			<posY>760</posY>
			<width>900</width>
			<label>#SleepControl.Status</label>
			<align>center</align>
			<font>fontB16</font>
			<textcolor>ff808080</textcolor>
			<animation effect="fade" time="250">WindowOpen</animation>
		<animation effect="fade" time="250">WindowClose</animation>
		</control>

		<!-- *** Sleep Start/End *** -->
		<control>
			<description>Sleep Start/End</description>
			<type>label</type>
			<id>0</id>
			<posX>800</posX>
			<posY>800</posY>
			<width>900</width>
			<label>#SleepControl.Start - #SleepControl.End</label>
			<align>center</align>
			<font>fontB16</font>
			<textcolor>ff808080</textcolor>
			<visible>!string.equals(#SleepControl.Start, )</visible>
			<animation effect="fade" time="250">WindowOpen</animation>
		<animation effect="fade" time="250">WindowClose</animation>
		</control>

		<!-- *** Recording Count *** -->
		<control>
			<type>label</type>
			<id>0</id>
			<posX>410</posX>
			<posY>570</posY>
			<width>830</width>
			<label>#SleepControl.RecordingTimerCount #SleepControl.TranslationRecordingTimerCount</label>
			<visible>!string.equals(#SleepControl.Recordings, )</visible>
			<animation effect="fade" time="250">WindowOpen</animation>
		<animation effect="fade" time="250">WindowClose</animation>
		</control>

		<!-- *** Recording List *** -->
	<!--	<control>
			<description>Text</description>
			<type>textboxscrollup</type>
			<id>0</id>
			<posX>410</posX>
			<posY>600</posY>
			<width>830</width>
			<height>70</height>
			<label>#SleepControl.Recordings</label>
		</control> -->

	</controls>
</window>
